]> sipb.mit.edu Git - ikiwiki.git/blob - debian/NEWS
* Renamed GlobLists to PageSpecs.
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.13) unstable; urgency=low
2
3   The GlobList format which was used for specifiying sets of pages, has been
4   replaced with a new PageSpec format. While GlobLists will continue to work,
5   that format is deprecated, and you are recommended to use PageSpecs from now
6   on, and also to change any GlobLists in your wiki to PageSpecs. 
7   
8   See the new PageSpec page for details.
9   
10   You will need to rebuild your wiki when upgrading to this version. If you
11   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
12   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
13   rebuild.
14
15  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
16
17 ikiwiki (1.11) unstable; urgency=low
18
19   Some changes to tags in this release, due to a new tag plugin. If you have
20   been using the meta plugin to tag pages, you'll want to enable the tag
21   plugin too, and change things like this:
22
23   [[meta link="foobar"]]
24
25   To this:
26
27   [[tag foobar]]
28
29   The new tags will appear at page footers, and are also easier to type.
30
31   There have also been some changes to the plugin interface, particularly the
32   interface of pagetemplate hooks has changed. See the changelog for details.
33
34  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
35
36 ikiwiki (1.8) unstable; urgency=low
37
38   If your wiki is configured with a setup file, you should modify it to
39   stop setting the "plugin" list directly, and instead add or remove plugins
40   via the add_plugins and disable_plugins lines. For example, if you had:
41
42         plugin => [qw{inline smiley search}],
43
44   Change it to these lines, which disables the default htmlscrubber plugin
45   and adds the two additional plugins:
46
47         add_plugins => [qw{smiley search}],
48         disable_plugins => [qw{htmlscrubber}],
49
50   Making this change makes your ikiwiki setup file more future-proof since
51   new default plugins will be automatically used.
52   
53   You will need to rebuild your ikiwiki wrappers when upgrading to this
54   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
55   done automatically when the Debian package is upgraded. Or use
56   ikiiki-mass-rebuild --refresh to force a refresh.
57
58  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
59
60 ikiwiki (1.1) unstable; urgency=low
61
62   There have been several configuration changes in this release of ikiwiki:
63
64   The --svn and --no-svn switches are removed, instead you should use
65    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
66   be changed to set rcs => "svn"; if your setup file sets svn => 0
67   then change it to use rcs => "" to disable svn.
68
69   The --hyperestraier switch is gone too. To enable searching, turn on the
70   search plugin, by passing --plugin=search or through the plugin setting in
71   the setup file.
72
73   The --sanitize and --no-sanitize switches are also gone, replaced with the
74   htmlscrubber plugin. This plugin is enabled by default, to disable it,
75   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
76   setup file.
77
78   Discussion pages are enabled by default, but if your wiki is configured
79   with a setup file, you need to edit it to keep them enabled on upgrade
80   to this version. Add a line reading:
81   discussion => 1,
82
83   You will need to rebuild your wiki when upgrading to this version.
84   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
85   automatically when the Debian package is upgraded. Or use
86   ikiiki-mass-rebuild to force a rebuild.
87
88  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400